Skip to main content
GET
/
nbx
/
v2
/
emm
/
markets
/
{marketId}
Get market
curl --request GET \
  --url https://api.novig.us/nbx/v2/emm/markets/{marketId}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "description": "KC v BUF Total",
  "status": "OPEN",
  "type": "TOTAL",
  "league": "NFL",
  "volume": 1000000,
  "eventId": "123e4567-e89b-12d3-a456-426614174000",
  "outcomeIds": [
    "123e4567-e89b-12d3-a456-426614174002",
    "123e4567-e89b-12d3-a456-426614174003"
  ],
  "outcomes": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "description": "Over 26.5",
      "type": "<string>",
      "status": "TBD",
      "index": 0,
      "last": 0.55,
      "competitor": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "Kansas City Chiefs",
        "shortName": "Chiefs",
        "symbol": "KC",
        "mascot": "Chiefs"
      }
    }
  ],
  "strike": 26.5,
  "event": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "type": "REGULAR_SEASON",
    "status": "OPEN_PREGAME",
    "description": "KC Chiefs vs BUF Bills - Week 14",
    "game": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "league": "NFL",
      "status": "SCHEDULED",
      "scheduledStart": "2023-12-10T20:00:00Z",
      "homeTeam": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "Kansas City Chiefs",
        "shortName": "Chiefs",
        "symbol": "KC",
        "mascot": "Chiefs"
      },
      "awayTeam": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "Kansas City Chiefs",
        "shortName": "Chiefs",
        "symbol": "KC",
        "mascot": "Chiefs"
      }
    }
  },
  "playerId": "123e4567-e89b-12d3-a456-426614174001",
  "player": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Josh Allen",
    "fullName": "Joshua Patrick Allen",
    "position": "QB"
  },
  "competitor": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "Kansas City Chiefs",
    "shortName": "Chiefs",
    "symbol": "KC",
    "mascot": "Chiefs"
  },
  "settledAt": "2023-10-05T12:00:00Z"
}

Path Parameters

marketId
string
required

The server-generated UUID of the market to retrieve

Response

Market retrieved successfully.

id
string
required

The ID of the market

Example:

"123e4567-e89b-12d3-a456-426614174000"

description
string
required

Description of the market

Example:

"KC v BUF Total"

status
string
required

The current status of the market (OPEN, CLOSED, or SETTLED)

Example:

"OPEN"

type
string
required

The type of market (MONEY, SPREAD, TOTAL, RUSHING_ATTEMPTS, etc.)

Example:

"TOTAL"

league
string
required

The league of the market

Example:

"NFL"

volume
number
required

The total volume of the market in CASH denomination

Example:

1000000

eventId
string
required

The event associated with the market

Example:

"123e4567-e89b-12d3-a456-426614174000"

outcomeIds
string[]
required

Array of outcome IDs linked to this market

Example:
[
"123e4567-e89b-12d3-a456-426614174002",
"123e4567-e89b-12d3-a456-426614174003"
]
outcomes
object[]
required

Array of outcomes linked to this market

strike
number | null

The threshold of the market in the unit of the stat type

Example:

26.5

event
object

The event details associated with the market

playerId
string | null

The player associated with the market (if applicable)

Example:

"123e4567-e89b-12d3-a456-426614174001"

player
object

The player associated with the market (if applicable)

competitor
object

The competitor associated with the market (if applicable)

settledAt
string | null

When the market was settled (if applicable)

Example:

"2023-10-05T12:00:00Z"